#ifndef _SAT_H
#define _SAT_H

extern "C"
{
	char * AtivarSAT(int numeroSessao, int subComando, char * codigoDeAtivacao, char * CNPJ, int cUF);
	char * ComunicarCertificadoICPBRASIL(int numeroSessao, char * codigoDeAtivacao, char * certificado);
	char * EnviarDadosVenda(int numeroSessao, char * codigoDeAtivacao, char * dadosVenda);
	char * CancelarUltimaVenda(int numeroSessao, char * codigoDeAtivacao, char * chave, char * dadosCancelamento);
	char * ConsultarSAT(int numeroSessao);
	char * TesteFimAFim(int numeroSessao, char * codigoDeAtivacao, char * dadosVenda);
	char * ConsultarStatusOperacional(int numeroSessao, char * codigoDeAtivacao);
	char * ConsultarNumeroSessao(int numeroSessao, char * codigoDeAtivacao, int cNumeroDeSessao);
	char * ConfigurarInterfaceDeRede(int numeroSessao, char * codigoDeAtivacao, char * dadosConfiguracao);
	char * AssociarAssinatura(int numeroSessao, char * codigoDeAtivacao, char * CNPJvalue, char * assinaturaCNPJs);
	char * AtualizarSoftwareSAT(int numeroSessao, char * codigoDeAtivacao);
	char * ExtrairLogs(int numeroSessao, char * codigoDeAtivacao);
	char * BloquearSAT(int numeroSessao, char * codigoDeAtivacao);
	char * DesbloquearSAT(int numeroSessao, char * codigoDeAtivacao);
	char * TrocarCodigoDeAtivacao(int numeroSessao, char * codigoDeAtivacao, int opcao, char * novoCodigo, char * confNovoCodigo);
	char * ConsultarUltimaSessaoFiscal(int numeroSessao, char * codigoDeAtivacao);
}

#endif //_SAT_H
